com.explodingpixels.macwidgets

## Interface SourceListToolTipProvider

-     public interface SourceListToolTipProvider

  An interface that allows implementors to supply the tool tip for a `SourceListCategory` or `SourceListItem`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getTooltip(SourceListCategory category)` Gets the tool tip to use for the given `SourceListCategory`.
    `String` | `getTooltip(SourceListItem item)` Gets the tool tip to use for the given `SourceListItem`.

- - ### Method Detail

    - #### getTooltip

          String getTooltip(SourceListCategory category)

      Gets the tool tip to use for the given `SourceListCategory`.
      Parameters:
        `category` - the `SourceListCategory` to get the tooltip for.
      Returns:
        the tool tip, or null if no tool tip should be shown.

    - #### getTooltip

          String getTooltip(SourceListItem item)

      Gets the tool tip to use for the given `SourceListItem`.
      Parameters:
        `item` - the `SourceListItem` to get the tooltip for.
      Returns:
        the tool tip, or null if no tool tip should be shown.